/* header file for PROforma
   definition of a system subroutines

   (c) PROGS, Professional & Graphical Software
   written by Joachim Van der Auwera
   started 20 July 1993
   */

#include "gstate.h"
#include "system.h"

extern Job PROforma;		/* id of PROforma job */

/* allocate some system memory, returns zero if fails */
void *allocate(long size)
{
	Error err;
	char *base;

	err=MEMAllocate(size,&base);
	if (!err) return base; else return 0;
}

/* allocate some system memory for PROforma job, returns zero if fails */
void *PFalloc(long size)
{
	Error err;
	char *base;

	err=MEMAllocateFor(size,PROforma,&base);
	if (!err) return base; else return 0;
}
