/* PROforma, PROgs FOnt & Raster MAnager

	BITMdriver definition file for screen driver
	dummy nodraw version for testing the speed of PROforma without really
	drawing anything.

   (c) PROGS, Professional & Graphical Software
   written by Joachim Van der Auwera
   started 28 September 1995
   */

#include "PFmodule.h"

static Error nimp()    { return ERR_NIMP; }
static Error nothing() { return ERR_OK; }

Error BufferSize(short xsiz, short ysiz, Size *size)
{
	*size=((xsiz+7)&-8)*2 * ysiz / 8;
	return ERR_OK;
}

BITMdriver init={
	NULL, PF_BITMAPDRIVER,
	{
		2, 1,					/* 2 planes, each 1 pixel deep */
		BITMAP_NO_BYTEGROUPING, /* no byte grouping */
		1,						/* altenative bytes in each plane */
	},

	/* drawing routines */
	{
		(Error (*)(Bitmap,short,short))nimp,
		(Error (*)(Bitmap,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,short,short,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,Mask*,short,short)) nimp,
		(Error (*)(Bitmap,short,short))nimp
	},
	{
		(Error (*)(Bitmap,short,short))nimp,
		(Error (*)(Bitmap,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,short,short,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,Mask*,short,short)) nimp,
		(Error (*)(Bitmap,short,short))nimp
	},
	{
		(Error (*)(Bitmap,short,short))nimp,
		(Error (*)(Bitmap,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,short,short,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,Mask*,short,short)) nimp,
		(Error (*)(Bitmap,short,short))nimp
	},
	{
		(Error (*)(Bitmap,short,short))nimp,
		(Error (*)(Bitmap,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,short,short))nimp,
		(Error (*)(Bitmap,short,short,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,short,short,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,pt,pt,pt,pt))nimp,
		(Error (*)(Bitmap,Mask*,short,short)) nimp,
		(Error (*)(Bitmap,short,short))nimp
	},

	nothing, nothing, nothing,

	nothing, nothing, nothing, nothing, nothing,
	nothing, nothing, nothing, nothing, nothing,

	nimp,		/* CopyArea */

	BufferSize, /* BufferSize */
	8,8,		/* size of FastPattern */
	BITMAP_DIRECTION_VERTICAL
	};
